--- /dev/null
+b43-fwcutter (1:012-1) unstable; urgency=low
+
+ b43-fwcutter does not install the firmwares itself anymore. The
+ question for it is gone. Install the packages which suits your needs:
+ - firmware-b43-installer
+ - firmware-b43legacy-installer
+
+ -- Rene Engelhard <rene@debian.org> Tue, 13 Apr 2010 00:55:21 +0200
+
+b43-fwcutter (1:011-5) unstable; urgency=high
+
+ This version of the package installs the firmware suitable for kernels
+ >= 2.6.25. It will do so unconditionally on upgrades and this break usage
+ with 2.6.24. If you for some reason still want to use 2.6.24, please
+ backup your "old" /lib/firmware/b43.
+
+ -- Rene Engelhard <rene@debian.org> Sun, 10 Aug 2008 11:41:59 -0300
+
--- /dev/null
+#!/bin/sh
+set -e
+
+. /usr/share/debconf/confmodule
+
+db_input medium b43-fwcutter/install-unconditional || true
+db_go || true
+
+#DEBHELPER#
--- /dev/null
+dh_auto_configure
+override_dh_auto_build dh_auto_build
+dh_auto_build
+dh_auto_test
+dh_prep
+dh_installdirs
+dh_auto_install
+dh_installdocs
+override_dh_installchangelogs dh_installchangelogs
+dh_installchangelogs
+dh_installman
+dh_installdebconf
+dh_lintian
+dh_perl
+dh_link
+dh_compress
+dh_fixperms
+dh_strip
+dh_makeshlibs
+dh_shlibdeps
+dh_installdeb
+dh_gencontrol
+dh_md5sums
+dh_builddeb
+dh_builddeb
+dh_builddeb
+dh_builddeb
--- /dev/null
+b43-fwcutter.1
--- /dev/null
+#!/bin/sh
+
+set -e
+. /usr/share/debconf/confmodule
+
+# This script does not use the debconf template.
+# It's only used by the *-installer packages
+
+#DEBHELPER#
--- /dev/null
+# Automatically added by dh_installdebconf
+if [ "$1" = purge ] && [ -e /usr/share/debconf/confmodule ]; then
+ . /usr/share/debconf/confmodule
+ db_purge
+fi
+# End automatically added section
--- /dev/null
+misc:Depends=debconf (>= 0.5) | debconf-2.0
+shlibs:Depends=libc6 (>= 2.4)
--- /dev/null
+# These templates have been reviewed by the debian-l10n-english
+# team
+#
+# If modifications/additions/rewording are needed, please ask
+# debian-l10n-english@lists.debian.org for advice.
+#
+# Even minor modifications require translation updates and such
+# changes should be coordinated with translators and reviewers.
+
+Template: b43-fwcutter/install-unconditional
+Type: boolean
+Default: true
+_Description: Install b43 firmware even if no such device is present?
+ The b43 packages are designed to handle firmware for Broadcom 43xx
+ wireless network cards.
+ .
+ Please choose whether they should download and install firmware even
+ if the corresponding hardware is not currently present on the system.
+ .
+ This might be useful if you plan to move this installation to different
+ hardware or share the same installation across multiple systems.
--- /dev/null
+2011-07-27
+
+* Used latest broadcom-wl-5.10.56.27.3_mipsel.tar.bz2 firmware for all card
+ availables.
+
+2011-03-11
+
+* Add details for extracting firmware from
+ http://mirror2.openwrt.org/sources/broadcom-wl-5.10.56.27.3_mipsel.tar.bz2. A
+ firmware source of this vintage is needed for Rev 16 802.11 cores found in the
+ 14e4:432b N PHY devices.
+
+2011-02-18
+
+* FreeBSD support
--- /dev/null
+b43-fwcutter (1:018-2) unstable; urgency=low
+
+ * debian/control
+ + Remove Recommends field allow auto-removal
+ of linux-image-* packages. (Closes: #724567)
+
+ -- Daniel Echeverry <epsilon77@gmail.com> Wed, 25 Sep 2013 20:39:11 -0500
+
+b43-fwcutter (1:018-1) unstable; urgency=low
+
+ * New upstream release.
+ * Add Danish translation. (Closes: #715489)
+ * debian/patches
+ + Refreshed patch fix-manpage
+
+ -- Daniel Echeverry <epsilon77@gmail.com> Mon, 12 Aug 2013 19:28:11 -0500
+
+b43-fwcutter (1:017-2) unstable; urgency=low
+
+ * Debconf templates and debian/control reviewed by the debian-l10n-
+ english team as part of the Smith review project. (Closes: #707562)
+ * [Debconf translation updates]
+ + Indonesian (Mahyuddin Susanto). (Closes: #711295)
+ + Czech (Michal Simunek). (Closes: #711509)
+ + French (Julien Patriarca). (Closes: #711857)
+ + Russian (Yuri Kozlov). (Closes: #711885)
+ + Portuguese (Pedro Ribeiro). (Closes: #712135)
+ + German (Chris Leick). (Closes: #712276)
+ + Italian (Beatrice Torracca). (Closes: #712480)
+ + Swedish (Martin Bagge / brother). (Closes: #712651)
+ + Japanese (victory). (Closes: #712874)
+ + Polish (Michał Kułach). (Closes: #712922)
+
+ -- Daniel Echeverry <epsilon77@gmail.com> Fri, 10 May 2013 11:58:26 +0200
+
+b43-fwcutter (1:017-1) unstable; urgency=low
+
+ * Upload to unstable
+ * debian/firmware-b43legacy-installer.lintian-overrides
+ + Use proper package name in lintian override
+
+ -- Daniel Echeverry <epsilon77@gmail.com> Mon, 06 May 2013 21:40:30 -0500
+
+b43-fwcutter (1:017-1~experimental2) experimental; urgency=low
+
+ * Fix unowned directory after purge. (Closes: #677154)
+ + Add debian/firmware-b43-installer.dirs file
+ + Add debian/firmware-b43legacy-installer.dirs file
+ + Add *.lintian-overrides file
+ + remove lines from *.postinst to use .dirs files
+
+ -- Daniel Echeverry <epsilon77@gmail.com> Mon, 18 Feb 2013 21:08:48 -0500
+
+b43-fwcutter (1:017-1~experimental1) experimental; urgency=low
+
+ * New upstream release.
+ * New Maintainer. (Closes: #698759)
+ * debian/control
+ + Set myself as Maintainer.
+ + Remove firmware-b43-lpphy-installer package. (Closes: #657837)
+ + Firmware-b43-installer now supports BCM4312.
+ + Update firmware-b43-installer description.
+ + Change debhelper to 9 in B-D.
+ + Bump Standard Versions 3.9.4.
+ + Switch compat level 8 to 9.
+ + Remove dm-upload field.
+ + Remove conflict field.
+ + Add po-debconf and debconf in B-D.
+ * debian/rules
+ + Add security Flags.
+ + Use tiny rules.
+ * Remove firmware-b43-lpphy-installer.* files.
+ * Firmware-b43-installer now support BCM4331. (Closes: #682427)
+ * Add debconf support. Thanks to Gaudenz. (Closes: #698348)
+ + Allow installation without corresponding hardware.
+ + Add es.po translation.
+ * Update copyright file.
+ * Remove debian/series file.
+ * Update watch file.
+ * Remove README.firmware-b43-lpphy-installer file.
+
+ -- Daniel Echeverry <epsilon77@gmail.com> Mon, 04 Feb 2013 10:05:30 -0500
+
+b43-fwcutter (1:015-14) unstable; urgency=low
+
+ * Back to original /lib/firmware directory for all
+ firmware versions (Closes: #666522)
+ * Back to origianl directory in firmware-b43-lpphy-installer.postrm
+ script
+ * Update firmware to 5.100.138 version (Closes: #656574)
+ * $FIRMAWARE_INSTALL_DIR is longer used for deletion/creation of directory
+
+ -- Fabrizio Regalli <fabreg@fabreg.it> Sat, 31 Mar 2012 20:27:52 +0200
+
+b43-fwcutter (1:015-13) unstable; urgency=low
+
+ * Each firmware has its own folder:
+ /lib/firmware/b43 for firmware-b43-installer package
+ /lib/firmware/b43-lpphy for firmware-b43-lpphy package
+ /lib/firmware/b43legacy for firmware-b43legacy package
+ * Changed directory "/lib/firmware/b43-lpphy" in
+ firmware-b43-lpphy-installer.postrm script
+ * Changed creation of directory FIRMWARE_INSTALL_DIR moving
+ the first control inside the if statement in each posinst
+ scripts
+ * Use 3.130.20.0 firmware for BCM4306 [14e4:4320] (rev 02) (Closes: #666165)
+ * Bump Standards-Version to 3.9.3
+ * Update debian/copyright format as in Debian Policy 3.9.3
+
+ -- Fabrizio Regalli <fabreg@fabreg.it> Thu, 29 Mar 2012 18:46:12 +0200
+
+b43-fwcutter (1:015-12) unstable; urgency=low
+
+ * Replaced if-statement using case-statement in
+ firmware-b43legacy-installer.postinst and
+ firmware-b43-lpphy-installer.postinst scripts
+ * Changed "/lib/firmware/b43legacy" directory in
+ firmware-b43legacy-installer.postrm script
+ (Closes: #656166, #653009)
+
+ -- Fabrizio Regalli <fabreg@fabreg.it> Tue, 17 Jan 2012 18:34:50 +0100
+
+b43-fwcutter (1:015-11) unstable; urgency=low
+
+ * Using firmware 5.10.56.27.3 for BCM4306 802.11a/b/g
+ [14e4:4324] (rev 03) card instead of previous legacy
+ one (Closes: #652821)
+ * Fixed 'dpkg --compare-versions' in firmware-b43-installer.postinst
+ script.
+
+ -- Fabrizio Regalli <fabreg@fabreg.it> Tue, 20 Dec 2011 19:22:53 +0100
+
+b43-fwcutter (1:015-10) unstable; urgency=low
+
+ * Fixed 'dpkg --compare-versions' in firmware-b43-lpphy-installer.postinst
+ script (Closes: #651800)
+
+ -- Fabrizio Regalli <fabreg@fabreg.it> Mon, 12 Dec 2011 20:02:53 +0100
+
+b43-fwcutter (1:015-9) unstable; urgency=low
+
+ * Install firmware-b43legacy unconditionally when installed in chroot
+ environment (Closes: #650099)
+ * Fixed again if statement: back from single pipe to original
+ duoble pipes of or condition (Closes: #650103)
+
+ -- Fabrizio Regalli <fabreg@fabreg.it> Sat, 26 Nov 2011 17:04:23 +0100
+
+b43-fwcutter (1:015-8) unstable; urgency=low
+
+ * Added missing firmware download for b43legacy driver
+ (Closes: #650083)
+ * Fixed if statement syntax into firmware-b43legacy-installer.postinst
+ script
+
+ -- Fabrizio Regalli <fabreg@fabreg.it> Sat, 26 Nov 2011 14:10:41 +0100
+
+b43-fwcutter (1:015-7) unstable; urgency=low
+
+ * Moved tmp=`mktemp -q -d` command on top into postinst scripts
+ for using real /tmp/tmp.* directory.
+ * Fixed check kernel in postinst: replaced 'gt' with 'ge'
+ * Removes old firmware only in case 'purge' or 'remove' options
+ are invoked (Closes: #649130)
+
+ -- Fabrizio Regalli <fabreg@fabreg.it> Fri, 18 Nov 2011 12:05:23 +0100
+
+b43-fwcutter (1:015-6) unstable; urgency=low
+
+ * Add support for device 14e4:4325 BCM4306
+ Thanks to Geoff Simmons for the pactch (Closes: #649143)
+
+ -- Fabrizio Regalli <fabreg@fabreg.it> Fri, 18 Nov 2011 09:37:09 +0100
+
+b43-fwcutter (1:015-5) unstable; urgency=low
+
+ * Added BCM43224 and BCM43225 chips and moved BCM43224
+ device ID 0576 from the unsupported to nottested list.
+ Thanks to Geoff Simmons for the pactch (Closes: #648917)
+
+ -- Fabrizio Regalli <fabreg@fabreg.it> Wed, 16 Nov 2011 10:58:15 +0100
+
+b43-fwcutter (1:015-4) unstable; urgency=low
+
+ * Added README.firmware-b43-lpphy-installer (Closes: #589867)
+
+ -- Fabrizio Regalli <fabreg@fabreg.it> Sun, 06 Nov 2011 11:22:28 +0100
+
+b43-fwcutter (1:015-3) unstable; urgency=low
+
+ * Fixed unversioned-copyright-format-url lintian message
+ * Fixed firmware-b43-lpphy-installer posinst script (Closes: #644816)
+
+ -- Fabrizio Regalli <fabreg@fabreg.it> Sun, 09 Oct 2011 14:48:19 +0200
+
+b43-fwcutter (1:015-2) unstable; urgency=low
+
+ * Fixed lintian comma-separated-files-in-dep5-copyright message
+ * Added check for chroot environment (Closes: #586605)
+ * Added DM-Upload-Allowed field.
+
+ -- Fabrizio Regalli <fabreg@fabreg.it> Mon, 26 Sep 2011 12:06:56 +0200
+
+b43-fwcutter (1:015-1) unstable; urgency=low
+
+ * New upstream version.
+ * Removed BCM4303 as a supported chipset in the long description
+ of the firmware-b43legacy-installer package along with the
+ the reference to it in firmware-b43-installer's postinst. (Closes: #637935)
+ * Removed preinst scripts. The code is moved to postinst scripts.
+ In this way removing of /lib/firmware/b43* directories is only
+ possibile if the firmware was downloaded correctly. (Closes: #638668)
+
+ -- Fabrizio Regalli <fabreg@fabreg.it> Tue, 23 Aug 2011 01:33:08 +0200
+
+b43-fwcutter (1:014-9) unstable; urgency=low
+
+ * Match alphabetic characters as well. (Closes: #636503)
+
+ -- Fabrizio Regalli <fabreg@fabreg.it> Wed, 03 Aug 2011 19:22:16 +0200
+
+b43-fwcutter (1:014-8) unstable; urgency=low
+
+ * Fixed 'exit' status in *.postinst scripts. (Closes: #636337)
+
+ -- Fabrizio Regalli <fabreg@fabreg.it> Wed, 03 Aug 2011 10:13:19 +0200
+
+b43-fwcutter (1:014-7) unstable; urgency=low
+
+ * Fixed firmware-b43-installer.postinst script. (Closes: #636258)
+
+ -- Fabrizio Regalli <fabreg@fabreg.it> Tue, 02 Aug 2011 00:41:14 +0200
+
+b43-fwcutter (1:014-6) unstable; urgency=low
+
+ * Install new firmware for BCM4306/3 card. (Closes: #636077)
+
+ -- Fabrizio Regalli <fabreg@fabreg.it> Sun, 31 Jul 2011 01:40:29 +0200
+
+b43-fwcutter (1:014-5) unstable; urgency=low
+
+ * firmware-b43-installer is uninstallable on 14e4:4328. Closes: #635577
+ * Added build-arch and build-indep rules
+ * Upgrade compat level to 8
+ * Switch debhelper to (>= 8)
+ * Added myself to d/copyright
+ * Updated all PCI-ID in postinst script
+ * Added support for BCM4306 to b43legacy driver
+ * Added support for cards
+ - BCM4321
+ - BCM4322 (only 14e4:432b)
+ * Removed Daniel Echeverry from Uploaders
+
+ -- Fabrizio Regalli <fabreg@fabreg.it> Wed, 27 Jul 2011 09:46:34 +0200
+
+b43-fwcutter (1:014-4) unstable; urgency=low
+
+ * Add proxy support for downloading. (Closes: #628126)
+
+ -- Fabrizio Regalli <fabreg@fabreg.it> Tue, 31 May 2011 11:36:49 +0200
+
+b43-fwcutter (1:014-3) unstable; urgency=low
+
+ * Removed *.bz2 files and directory created from installer. Closes: #625876
+
+ -- Fabrizio Regalli <fabreg@fabreg.it> Fri, 06 May 2011 16:44:20 +0200
+
+b43-fwcutter (1:014-2) unstable; urgency=low
+
+ [ Fabrizio Regalli ]
+ * Fixed wrong wget url. (Closes: #623703)
+ * Fixed typo. (Closes: #623748)
+
+ -- Fabrizio Regalli <fabreg@fabreg.it> Fri, 22 Apr 2011 20:10:57 +0200
+
+b43-fwcutter (1:014-1) unstable; urgency=low
+
+ [ Fabrizio Regalli ]
+ * New maintainers. (Closes: #581798)
+ * Added new firmware 478.104 to some non-lpphy cards. (Closes: #622962)
+ * Added Vcs-* repository.
+ * Removed duplicate 'Homepage' fields to make lintian happy.
+ * Moved to BinNMU.
+
+ [Daniel Echeverry ]
+ * New upstream release.
+ * Update copyright file to DEP5. (Closes: #617688)
+ * Fixed multiple PCI devices with PCI IDS. (Closes: #599741)
+ Thanks to Geoff Simmons for the patches!
+ * Removed BCM4312 as a supported chipset. (Closes: #617394)
+ * Change debhelper to 7.0.50 in B-D.
+ * Bump Standard Versions 3.9.1 .
+ * Switch compat level 4 to 7 .
+
+ -- Daniel Echeverry <epsilon77@gmail.com> Tue, 19 Apr 2011 20:26:59 -0500
+
+b43-fwcutter (1:013-3) unstable; urgency=low
+
+ * QA upload.
+ * Remove obsolete option --postfix from the manpage (closes: #446770).
+ Thanks to Daniel Echeverry for the patch!
+
+ -- Ralf Treinen <treinen@debian.org> Wed, 08 Dec 2010 20:27:41 +0100
+
+b43-fwcutter (1:013-2) unstable; urgency=medium
+
+ * QA upload
+ * Allow 14e4:4320 also for firmware-b43-installer (Closes: #580883)
+ * Fix logic: || -> && (Closes: #579633)
+ * Don't fail in -lpphy-installer when also broadcom ethernet is present
+ (Closes: #580098)
+
+ -- Rene Engelhard <rene@debian.org> Tue, 11 May 2010 01:52:40 +0200
+
+b43-fwcutter (1:013-1) unstable; urgency=medium
+
+ * QA upload
+ * Update to official 013
+ * Fix lspci, thanks Geoff Simmons (Closes: #578777)
+ * Fix debhelper builddep
+
+ -- Rene Engelhard <rene@debian.org> Mon, 26 Apr 2010 00:03:48 +0200
+
+b43-fwcutter (1:013~git20100413-2) unstable; urgency=low
+
+ * QA upload
+ * Create /lib/firmware if not existing (Closes: #541810)
+
+ -- Rene Engelhard <rene@debian.org> Tue, 13 Apr 2010 20:04:37 +0200
+
+b43-fwcutter (1:013~git20100413-1) unstable; urgency=low
+
+ * Remove b43-fwcutters debconf question
+ * Don't try to extract the firmware in b43-fwcutter, split out into
+ extra installer packages (which are then properly versioned and
+ can check for needed kernel/chipsets)
+ * Add debian/source/format ("3.0 (quilt)")
+ * Update from git (Closes: #561450), and package a installer for the
+ LP-PHY
+ * Orphan package (I don't have b43 hw anymore since long)
+
+ -- Rene Engelhard <rene@debian.org> Tue, 13 Apr 2010 02:44:19 +0200
+
+b43-fwcutter (1:012-1) unstable; urgency=low
+
+ * New upstream release.
+
+ -- Rene Engelhard <rene@debian.org> Fri, 05 Jun 2009 14:08:23 +0200
+
+b43-fwcutter (1:011-7) unstable; urgency=low
+
+ * Add ru debconf translation (Closes: #512669)
+
+ -- Rene Engelhard <rene@debian.org> Thu, 22 Jan 2009 20:18:20 +0100
+
+b43-fwcutter (1:011-6) unstable; urgency=low
+
+ * Add gl debconf translation (Closes: #511728)
+ * Update Homepage field in debian/control
+ (Closes: #499177)
+
+ -- Rene Engelhard <rene@debian.org> Wed, 14 Jan 2009 00:48:07 +0100
+
+b43-fwcutter (1:011-5) unstable; urgency=high
+
+ * Retrieve firmware for >= 2.6.25 (Closes: #480053)
+
+ -- Rene Engelhard <rene@debian.org> Sun, 10 Aug 2008 11:39:13 -0300
+
+b43-fwcutter (1:011-4) unstable; urgency=low
+
+ * Add fixed es.po (Closes: #479281)
+
+ -- Rene Engelhard <rene@debian.org> Sun, 04 May 2008 10:59:39 +0200
+
+b43-fwcutter (1:011-3) unstable; urgency=low
+
+ * Remove homepage from description, add a Homepage field and
+ update it.
+
+ -- Rene Engelhard <rene@debian.org> Fri, 25 Apr 2008 15:49:54 +0200
+
+b43-fwcutter (1:011-2) unstable; urgency=low
+
+ * Recommend bzip2, install_bcm43xx_firmware.sh does a tar xfvj
+
+ -- Rene Engelhard <rene@debian.org> Fri, 18 Apr 2008 23:57:28 +0200
+
+b43-fwcutter (1:011-1) unstable; urgency=low
+
+ * New upstream release (Closes: #466941)
+
+ -- Rene Engelhard <rene@debian.org> Fri, 22 Feb 2008 00:19:26 +0100
+
+b43-fwcutter (1:010-2) unstable; urgency=low
+
+ * Retrieve correct firmware for 2.6.24(-rc)
+
+ -- Rene Engelhard <rene@debian.org> Sat, 09 Feb 2008 20:48:44 +0100
+
+b43-fwcutter (1:010-1) unstable; urgency=low
+
+ * New upstream release.
+ * Use new v4 firmware
+
+ -- Rene Engelhard <rene@debian.org> Fri, 08 Feb 2008 21:40:12 +0100
+
+b43-fwcutter (1:009-1) unstable; urgency=low
+
+ * New upstream release.
+
+ -- Rene Engelhard <rene@debian.org> Wed, 30 Jan 2008 10:53:21 +0100
+
+b43-fwcutter (1:008-3) unstable; urgency=low
+
+ * Add es debconf translation, thanks Alberto Rivera (Closes: #461358)
+
+ -- Rene Engelhard <rene@debian.org> Sun, 20 Jan 2008 23:58:43 +0100
+
+b43-fwcutter (1:008-2) unstable; urgency=high
+
+ * Update README.Debian, thanks Bin Zhang (Closes: #446818)
+ * Fix config scriptto not fail if db_get for bcm43xx-fwcutter/cut_firmware
+ fails (Closes: #447152)
+ * Apply patches from Zbyszek Szemek to not use a pre-defined dirname and fix
+ some permissions in install_bcm43xx_fwcutter.sh, thanks (Closes: #450887)
+
+ -- Rene Engelhard <rene@debian.org> Mon, 26 Nov 2007 03:10:59 +0100
+
+b43-fwcutter (1:008-1) unstable; urgency=low
+
+ * New upstream release (for the mac80211 based version, which
+ will probably hit with 2.6.24)
+ * Depend on wget, remove curl option
+ * Extract both b43 and b43legacy firmware
+
+ -- Rene Engelhard <rene@debian.org> Sun, 26 Aug 2007 17:38:35 +0200
+
+bcm43xx-fwcutter (1:006-3) unstable; urgency=low
+
+ * Fix wget download, thanks Stefan Lippers-Hollmann
+
+ -- Rene Engelhard <rene@debian.org> Wed, 15 Aug 2007 18:08:02 +0200
+
+bcm43xx-fwcutter (1:006-2) unstable; urgency=low
+
+ * Retrieve firmware from
+ http://downloads.openwrt.org/sources/wl_apsta-3.130.20.0.o
+ (Closes: #437488)
+ * Re-add lost changelog entry of 20060501-6
+
+ -- Rene Engelhard <rene@debian.org> Mon, 13 Aug 2007 10:39:19 +0200
+
+bcm43xx-fwcutter (1:006-1) unstable; urgency=low
+
+ * New upstream release (Closes: #406446)
+ * Strip epoch from -DFWCUTTER_VERSION_
+
+ -- Rene Engelhard <rene@debian.org> Fri, 19 Jan 2007 02:41:43 +0100
+
+bcm43xx-fwcutter (1:005-2) unstable; urgency=high
+
+ * Fix de.po (Closes: #403500)
+
+ -- Rene Engelhard <rene@debian.org> Sun, 17 Dec 2006 17:40:42 +0100
+
+bcm43xx-fwcutter (1:005-1) unstable; urgency=high
+
+ [ Marcus Better ]
+ * New upstream version. (Closes: #401671)
+ * Don't build-depend on help2man.
+ * debian/rules: Remove useless configure rule.
+
+ [ Rene Engelhard ]
+ * Nump debconf priority to high, since d-i sets it to high....
+ * Retrieve wl_apsta.o from http://boredklink.googlepages.com/wl_apsta.o
+ (Closes: #388280)
+ * Add pt debconf translation, thanks Rui Branco (Closes: #388524)
+ * Add ja debconf translation, thanks Hideki Yamane (Closes: #400142)
+ * Fix minor typo in README.Debian, thanks Santiago Ruano Rincon
+ (Closes: #400855)
+
+ -- Rene Engelhard <rene@debian.org> Thu, 7 Dec 2006 13:44:13 +0100
+
+bcm43xx-fwcutter (20060108-6) unstable; urgency=low
+
+ * Fix install_bcm43xx_firmware with curl (Closes: #354942)
+
+ -- Rene Engelhard <rene@debian.org> Thu, 2 Mar 2006 11:36:24 +0100
+
+bcm43xx-fwcutter (20060501-5) unstable; urgency=high
+
+ * Retrieve wl_apsta.o from http://svit.epfl.ch/stuff/wl_apsta.o
+ (Closes: #381088)
+
+ -- Rene Engelhard <rene@debian.org> Sat, 5 Aug 2006 01:49:52 +0200
+
+bcm43xx-fwcutter (20060501-4) unstable; urgency=low
+
+ * Fix README.Debian location (Closes: #370101)
+
+ -- Rene Engelhard <rene@debian.org> Tue, 27 Jun 2006 21:19:01 +0200
+
+bcm43xx-fwcutter (20060501-3) unstable; urgency=low
+
+ * Retrieve wl_apsta.org from
+ http://www.nuevascreaciones.com/drinus/airport/wl_apsta.o.
+ Indirectly (Closes: #37470)
+ * Add basic README.Debian (Closes: #370101)
+ * Standards-Version: 3.7.2 (no changes needed)
+
+ -- Rene Engelhard <rene@debian.org> Fri, 23 Jun 2006 01:00:34 +0200
+
+bcm43xx-fwcutter (20060501-2) unstable; urgency=low
+
+ * Fix curl download again, thanks Guido Günther
+
+ -- Rene Engelhard <rene@debian.org> Sun, 14 May 2006 16:49:02 -0500
+
+bcm43xx-fwcutter (20060501-1) unstable; urgency=low
+
+ * Update to current SVN
+ * Add sv debconf translation, thanks Daniel Nylander (Closes: #365272)
+
+ -- Rene Engelhard <rene@debian.org> Mon, 1 May 2006 20:54:24 +0200
+
+bcm43xx-fwcutter (20060108-5) unstable; urgency=low
+
+ * Make fr.po actually affect something.
+
+ -- Rene Engelhard <rene@debian.org> Mon, 20 Feb 2006 23:22:04 +0100
+
+bcm43xx-fwcutter (20060108-4) unstable; urgency=low
+
+ * Use http://downloads.openwrt.org/sources/kernel-binary-wl-0.5.tar.gz
+ per request of OpenWRT instead of relying on
+ http://openwrt.inf.fh-brs.de/~nbd/$dname
+ * Make the debconf templates follow the recommendations in the developers
+ reference (Closes: #350281)
+ * Add cs debconf template translation, thanks Miroslav Kure
+ (Closes: #253369)
+ * Add fr debconf template translation, thanks Sylvain Archenault
+ (Closes: #353767)
+
+ -- Rene Engelhard <rene@debian.org> Mon, 20 Feb 2006 23:08:53 +0100
+
+bcm43xx-fwcutter (20060108-3) unstable; urgency=low
+
+ * Fix firmware path in de.po, thanks Alexander Schmehl
+
+ -- Rene Engelhard <rene@debian.org> Mon, 23 Jan 2006 23:07:03 +0100
+
+bcm43xx-fwcutter (20060108-2) unstable; urgency=low
+
+ * Add debconf-question on extracting the firmware on install
+ * Add install_bcm43xx_firmware.sh script; install it into
+ /usr/share/bcm43xx-fwcutter
+ * Recommend wget | curl
+ * Upload to Debian.
+
+ -- Rene Engelhard <rene@debian.org> Sun, 22 Jan 2006 20:49:46 +0100
+
+bcm43xx-fwcutter (20060108-1) experimental; urgency=low
+
+ * Initial release
+
+ -- Rene Engelhard <rene@debian.org> Mon, 9 Jan 2006 01:37:26 +0100
+
--- /dev/null
+Source: b43-fwcutter
+Section: contrib/utils
+Priority: optional
+Maintainer: Daniel Echeverry <epsilon77@gmail.com>
+Build-Depends: debhelper (>= 9), po-debconf, debconf
+Standards-Version: 3.9.4
+Homepage: http://wireless.kernel.org/en/users/Drivers/b43
+Vcs-Git: git://anonscm.debian.org/collab-maint/b43-fwcutter.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/b43-fwcutter.git
+
+Package: b43-fwcutter
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: utility for extracting Broadcom 43xx firmware
+ This package provides a tool for extracting BCM43xx wireless chip
+ firmware from Broadcom's proprietary driver files.
+ .
+ It is used by the firmware-b43(legacy)-installer packages as part of
+ the automated process of downloading and installing firmware.
+
+Package: firmware-b43-installer
+Section: contrib/kernel
+Architecture: all
+Depends: b43-fwcutter (>= ${source:Version}), bzip2, wget, ${misc:Depends}
+Replaces: firmware-b43-lpphy-installer (<= 1:015-14)
+Breaks: firmware-b43-lpphy-installer (<= 1:015-14)
+Description: firmware installer for the b43 driver
+ This package downloads and installs the firmware needed by the b43
+ kernel driver for some Broadcom 43xx wireless network cards.
+ .
+ Supported chipsets:
+ * BCM4306/3;
+ * BCM4311;
+ * BCM4318;
+ * BCM4321;
+ * BCM4322 (only 14e4:432b);
+ * BCM4312 (with Low-Power a.k.a. LP-PHY).
+
+Package: firmware-b43legacy-installer
+Section: contrib/kernel
+Architecture: all
+Depends: b43-fwcutter (>= ${source:Version}), wget, ${misc:Depends}
+Description: firmware installer for the b43legacy driver
+ This package downloads and installs the firmware needed by the b43legacy
+ kernel driver for some Broadcom 43xx wireless network cards.
+ .
+ Supported chipsets:
+ * BCM4301;
+ * BCM4306/2;
+ * BCM4306.
--- /dev/null
+Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
+Upstream-Name: b43-fwcutter
+Source: http://linuxwireless.org/en/users/Drivers/b43
+
+Files: *
+Copyright: 2005-2011 Martin Langer <martin-langer@gmx.de>
+ 2005-2011 Michael Buesch <mbuesch@freenet.de>
+ 2005-2011 Alex Beregszaszi <alex@fsn.hu>
+License: BSD-2-Clause
+
+Files: debian/*
+Copyright: 2006 Rene Engelhard <rene@debian.org>
+ 2011 Fabrizio Regalli <fabreg@fabreg.it>
+ 2013 Daniel Echeverry <epsilon77@gmail.com>
+License: BSD-2-Clause
+
+License: BSD-2-Clause
+ Redistribution and use in source and binary forms, with or without
+ modification, are permitted provided that the following conditions
+ are met:
+ 1. Redistributions of source code must retain the above copyright
+ notice, this list of conditions and the following disclaimer.
+ 2. Redistributions in binary form must reproduce the above
+ copyright notice, this list of conditions and the following
+ disclaimer in the documentation and/or other materials provided
+ with the distribution.
+ .
+ THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESS OR IMPLIED
+ WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
+ OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
+ DISCLAIMED. IN NO EVENT SHALL THE CONTRIBUTORS BE LIABLE FOR ANY
+ DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+ DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
+ GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+ INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+ WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
+ OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
+ EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+Files: md5.c md5.h
+Copyright: 1993 Colin Plumb
+License: public-domain
+ This code implements the MD5 message-digest algorithm.
+ The algorithm is due to Ron Rivest. This code was
+ written by Colin Plumb in 1993, no copyright is claimed.
+ This code is in the public domain; do with it what you wish.
--- /dev/null
+b43-fwcutter_018-2_amd64.deb contrib/utils optional
+firmware-b43-installer_018-2_all.deb contrib/kernel optional
+firmware-b43legacy-installer_018-2_all.deb contrib/kernel optional
--- /dev/null
+dh_auto_configure
+override_dh_auto_build dh_auto_build
+dh_auto_build
+dh_auto_test
+dh_prep
+dh_installdirs
+dh_auto_install
+dh_installdocs
+override_dh_installchangelogs dh_installchangelogs
+dh_installchangelogs
+dh_installman
+dh_installdebconf
+dh_lintian
+dh_perl
+dh_link
+dh_compress
+dh_fixperms
+dh_strip
+dh_makeshlibs
+dh_shlibdeps
+dh_installdeb
+dh_gencontrol
+dh_md5sums
+dh_builddeb
+dh_builddeb
+dh_builddeb
+dh_builddeb
--- /dev/null
+/lib/firmware/b43/
--- /dev/null
+# lintian, ignore this please! need to create this directory for the installation of the firmware
+firmware-b43-installer: package-contains-empty-directory
--- /dev/null
+#!/bin/sh
+
+set -e
+
+. /usr/share/debconf/confmodule
+
+tmp=`mktemp -q -d`
+
+latest_firmware ()
+{
+cd $tmp
+export FIRMWARE_INSTALL_DIR="/lib/firmware"
+
+# use apt proxy
+APT_PROXIES=$(apt-config shell \
+http_proxy Acquire::http::Proxy \
+https_proxy Acquire::https::Proxy \
+ftp_proxy Acquire::ftp::Proxy \
+)
+
+if [ -n "$APT_PROXIES" ]; then
+ eval export $APT_PROXIES
+fi
+
+wget --timeout=60 http://www.lwfinger.com/b43-firmware/broadcom-wl-5.100.138.tar.bz2
+if [ $? -ne 0 ]; then
+ echo "Some problem occurred during the firmware download. Please check your internet connection."
+ exit 0
+ else
+ if [ -d /lib/firmware/b43 ]; then
+ echo "Deleting old extracted firmware..."
+ rm -rf /lib/firmware/b43
+ fi
+fi
+tar xvjf broadcom-wl-5.100.138.tar.bz2
+cd broadcom-wl-5.100.138/linux
+b43-fwcutter -w "$FIRMWARE_INSTALL_DIR" wl_apsta.o
+rm -rf $tmp
+}
+
+# check environment
+if [ "$(stat -c %d/%i /)" != "$(stat -Lc %d/%i /proc/1/root 2>/dev/null)" ];
+ then
+ echo "A chroot environment has been detected."
+ echo "Remember this firmware needs kernel >= 2.6.25."
+ latest_firmware
+ exit 0
+ else
+ echo "No chroot environment found. Starting normal installation"
+fi
+
+
+
+
+# check kernel version
+if dpkg --compare-versions 2.6.25 gt `uname -r | cut -d- -f1`; then
+ echo "Kernel too old. This firmware needs >= 2.6.25!."
+ echo "Aborting!"
+ exit 0
+fi
+
+# install firmware unconditional if the corresponding debconf value is true
+# this is usefull for live-systems or similar systems that should work on
+# changing hardware
+db_get b43-fwcutter/install-unconditional
+if [ "$RET" = "true" ] ; then
+ latest_firmware
+ exit 0
+fi
+
+# Fix for BCM4306/3 [14e4:4320] (rev 03)
+chip=`lspci -n | grep -o "14e4:4320 (rev 03)"` || true
+if [ "$chip" ] ; then
+ echo "Your card is BCM4306/3 [14e4:4320] (rev 03), firwmare 5.100.138 will be used"
+ latest_firmware
+ exit 0
+fi
+
+# Fix for BCM4306/3 [14e4:4324] (rev 03)
+chip=`lspci -n | grep -o "14e4:4324 (rev 03)"` || true
+if [ "$chip" ] ; then
+ echo "Your card is BCM4306/3 [14e4:4324] (rev 03), firwmare 5.100.138 will be used"
+ latest_firmware
+ exit 0
+fi
+
+# check chip
+pci=`lspci -n | grep -o "14e4:[1234567890abcdef]\+"` || true
+
+if [ -n "$pci" ]; then
+ for device in $pci; do
+ device_id=`echo $device | cut -d: -f2`
+ case $device_id in
+ 4301 | 4306 | 4320 |4324 | 4325)
+ legacy=1
+ ;;
+ 4307 | 4311 | 4312 | 4315 | 4318 | 4319 | 4321 | 4328 | 4329 | 432b | 432c | 4331 | 4353 | 4357 | 5354)
+ latest=1
+ ;;
+ 4322 | 4358 | 4365 | 4727 | a8d8)
+ # b43 upstream says 3.6+ for a8d8
+ unsupported="$unsupported $device_id"
+ ;;
+ 0576 | 4313 | 432a | 432d | 4358 | 4359 | 435a | a99d)
+ nottested=1
+ ;;
+ *)
+ ;;
+ esac
+ done
+fi
+
+if [ "$legacy" ]; then
+ echo "An unsupported BCM4301, BCM4306 or BCM4306/2 device was found."
+ echo "Use b43legacy firmware (firmware-b43legacy-installer package) instead."
+ echo "Aborting."
+ exit 0
+elif [ "$unsupported" ]; then
+ echo -n "Unsupported device(s) found: PCI id "
+ for device_id in $unsupported; do echo -n "14e4:$device_id "; done
+ echo
+ echo "Aborting."
+ exit 0
+elif [ "$nottested" ]; then
+ echo "This card is actually not tested. Please install the driver manually."
+ exit 0
+elif [ "$latest" ]; then
+ echo "This card work with newer 5.100.138 firmware. Trying to install it."
+ latest_firmware
+ exit 0
+fi
+
+#DEBHELPER#
--- /dev/null
+#!/bin/sh
+
+set -e
+
+if [ "$1" = purge ] || [ "$1" = remove ]; then
+
+ if [ -d /lib/firmware/b43 ]; then
+ echo "Deleting old extracted firmware..."
+ rm -rf /lib/firmware/b43/*
+ fi
+fi
+
+#DEBHELPER#
+
+exit 0
--- /dev/null
+misc:Depends=
--- /dev/null
+Package: firmware-b43-installer
+Source: b43-fwcutter
+Version: 1:018-2
+Architecture: all
+Maintainer: Daniel Echeverry <epsilon77@gmail.com>
+Installed-Size: 56
+Depends: b43-fwcutter (>= 1:018-2), bzip2, wget
+Breaks: firmware-b43-lpphy-installer (<= 1:015-14)
+Replaces: firmware-b43-lpphy-installer (<= 1:015-14)
+Section: contrib/kernel
+Priority: optional
+Homepage: http://wireless.kernel.org/en/users/Drivers/b43
+Description: firmware installer for the b43 driver
+ This package downloads and installs the firmware needed by the b43
+ kernel driver for some Broadcom 43xx wireless network cards.
+ .
+ Supported chipsets:
+ * BCM4306/3;
+ * BCM4311;
+ * BCM4318;
+ * BCM4321;
+ * BCM4322 (only 14e4:432b);
+ * BCM4312 (with Low-Power a.k.a. LP-PHY).
--- /dev/null
+43ccfbee02e8fddbb7a9dd9aeb942ec9 usr/share/doc/firmware-b43-installer/NEWS.Debian.gz
+05fe361709af3bffa37842c77a43488d usr/share/doc/firmware-b43-installer/changelog.Debian.gz
+a1d8d19009fd47687db0a6155dc37ebb usr/share/doc/firmware-b43-installer/changelog.gz
+bb37220b033dfef8ead1060b7218185c usr/share/doc/firmware-b43-installer/copyright
+8015dbf37382c4c099005b5bdc06753a usr/share/lintian/overrides/firmware-b43-installer
--- /dev/null
+#!/bin/sh
+
+set -e
+
+. /usr/share/debconf/confmodule
+
+tmp=`mktemp -q -d`
+
+latest_firmware ()
+{
+cd $tmp
+export FIRMWARE_INSTALL_DIR="/lib/firmware"
+
+# use apt proxy
+APT_PROXIES=$(apt-config shell \
+http_proxy Acquire::http::Proxy \
+https_proxy Acquire::https::Proxy \
+ftp_proxy Acquire::ftp::Proxy \
+)
+
+if [ -n "$APT_PROXIES" ]; then
+ eval export $APT_PROXIES
+fi
+
+wget --timeout=60 http://www.lwfinger.com/b43-firmware/broadcom-wl-5.100.138.tar.bz2
+if [ $? -ne 0 ]; then
+ echo "Some problem occurred during the firmware download. Please check your internet connection."
+ exit 0
+ else
+ if [ -d /lib/firmware/b43 ]; then
+ echo "Deleting old extracted firmware..."
+ rm -rf /lib/firmware/b43
+ fi
+fi
+tar xvjf broadcom-wl-5.100.138.tar.bz2
+cd broadcom-wl-5.100.138/linux
+b43-fwcutter -w "$FIRMWARE_INSTALL_DIR" wl_apsta.o
+rm -rf $tmp
+}
+
+# check environment
+if [ "$(stat -c %d/%i /)" != "$(stat -Lc %d/%i /proc/1/root 2>/dev/null)" ];
+ then
+ echo "A chroot environment has been detected."
+ echo "Remember this firmware needs kernel >= 2.6.25."
+ latest_firmware
+ exit 0
+ else
+ echo "No chroot environment found. Starting normal installation"
+fi
+
+
+
+
+# check kernel version
+if dpkg --compare-versions 2.6.25 gt `uname -r | cut -d- -f1`; then
+ echo "Kernel too old. This firmware needs >= 2.6.25!."
+ echo "Aborting!"
+ exit 0
+fi
+
+# install firmware unconditional if the corresponding debconf value is true
+# this is usefull for live-systems or similar systems that should work on
+# changing hardware
+db_get b43-fwcutter/install-unconditional
+if [ "$RET" = "true" ] ; then
+ latest_firmware
+ exit 0
+fi
+
+# Fix for BCM4306/3 [14e4:4320] (rev 03)
+chip=`lspci -n | grep -o "14e4:4320 (rev 03)"` || true
+if [ "$chip" ] ; then
+ echo "Your card is BCM4306/3 [14e4:4320] (rev 03), firwmare 5.100.138 will be used"
+ latest_firmware
+ exit 0
+fi
+
+# Fix for BCM4306/3 [14e4:4324] (rev 03)
+chip=`lspci -n | grep -o "14e4:4324 (rev 03)"` || true
+if [ "$chip" ] ; then
+ echo "Your card is BCM4306/3 [14e4:4324] (rev 03), firwmare 5.100.138 will be used"
+ latest_firmware
+ exit 0
+fi
+
+# check chip
+pci=`lspci -n | grep -o "14e4:[1234567890abcdef]\+"` || true
+
+if [ -n "$pci" ]; then
+ for device in $pci; do
+ device_id=`echo $device | cut -d: -f2`
+ case $device_id in
+ 4301 | 4306 | 4320 |4324 | 4325)
+ legacy=1
+ ;;
+ 4307 | 4311 | 4312 | 4315 | 4318 | 4319 | 4321 | 4328 | 4329 | 432b | 432c | 4331 | 4353 | 4357 | 5354)
+ latest=1
+ ;;
+ 4322 | 4358 | 4365 | 4727 | a8d8)
+ # b43 upstream says 3.6+ for a8d8
+ unsupported="$unsupported $device_id"
+ ;;
+ 0576 | 4313 | 432a | 432d | 4358 | 4359 | 435a | a99d)
+ nottested=1
+ ;;
+ *)
+ ;;
+ esac
+ done
+fi
+
+if [ "$legacy" ]; then
+ echo "An unsupported BCM4301, BCM4306 or BCM4306/2 device was found."
+ echo "Use b43legacy firmware (firmware-b43legacy-installer package) instead."
+ echo "Aborting."
+ exit 0
+elif [ "$unsupported" ]; then
+ echo -n "Unsupported device(s) found: PCI id "
+ for device_id in $unsupported; do echo -n "14e4:$device_id "; done
+ echo
+ echo "Aborting."
+ exit 0
+elif [ "$nottested" ]; then
+ echo "This card is actually not tested. Please install the driver manually."
+ exit 0
+elif [ "$latest" ]; then
+ echo "This card work with newer 5.100.138 firmware. Trying to install it."
+ latest_firmware
+ exit 0
+fi
+
+
--- /dev/null
+#!/bin/sh
+
+set -e
+
+if [ "$1" = purge ] || [ "$1" = remove ]; then
+
+ if [ -d /lib/firmware/b43 ]; then
+ echo "Deleting old extracted firmware..."
+ rm -rf /lib/firmware/b43/*
+ fi
+fi
+
+
+
+exit 0
--- /dev/null
+Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
+Upstream-Name: b43-fwcutter
+Source: http://linuxwireless.org/en/users/Drivers/b43
+
+Files: *
+Copyright: 2005-2011 Martin Langer <martin-langer@gmx.de>
+ 2005-2011 Michael Buesch <mbuesch@freenet.de>
+ 2005-2011 Alex Beregszaszi <alex@fsn.hu>
+License: BSD-2-Clause
+
+Files: debian/*
+Copyright: 2006 Rene Engelhard <rene@debian.org>
+ 2011 Fabrizio Regalli <fabreg@fabreg.it>
+ 2013 Daniel Echeverry <epsilon77@gmail.com>
+License: BSD-2-Clause
+
+License: BSD-2-Clause
+ Redistribution and use in source and binary forms, with or without
+ modification, are permitted provided that the following conditions
+ are met:
+ 1. Redistributions of source code must retain the above copyright
+ notice, this list of conditions and the following disclaimer.
+ 2. Redistributions in binary form must reproduce the above
+ copyright notice, this list of conditions and the following
+ disclaimer in the documentation and/or other materials provided
+ with the distribution.
+ .
+ THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESS OR IMPLIED
+ WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
+ OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
+ DISCLAIMED. IN NO EVENT SHALL THE CONTRIBUTORS BE LIABLE FOR ANY
+ DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+ DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
+ GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+ INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+ WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
+ OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
+ EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+Files: md5.c md5.h
+Copyright: 1993 Colin Plumb
+License: public-domain
+ This code implements the MD5 message-digest algorithm.
+ The algorithm is due to Ron Rivest. This code was
+ written by Colin Plumb in 1993, no copyright is claimed.
+ This code is in the public domain; do with it what you wish.
--- /dev/null
+# lintian, ignore this please! need to create this directory for the installation of the firmware
+firmware-b43-installer: package-contains-empty-directory
--- /dev/null
+dh_auto_configure
+override_dh_auto_build dh_auto_build
+dh_auto_build
+dh_auto_test
+dh_prep
+dh_installdirs
+dh_auto_install
+dh_installdocs
+override_dh_installchangelogs dh_installchangelogs
+dh_installchangelogs
+dh_installman
+dh_installdebconf
+dh_lintian
+dh_perl
+dh_link
+dh_compress
+dh_fixperms
+dh_strip
+dh_makeshlibs
+dh_shlibdeps
+dh_installdeb
+dh_gencontrol
+dh_md5sums
+dh_builddeb
+dh_builddeb
+dh_builddeb
+dh_builddeb
--- /dev/null
+/lib/firmware/b43legacy
--- /dev/null
+# lintian, ignore this please! need to create this directory for the installation of the firmware
+firmware-b43legacy-installer: package-contains-empty-directory
--- /dev/null
+#!/bin/sh
+
+set -e
+
+. /usr/share/debconf/confmodule
+
+tmp=`mktemp -q -d`
+
+latest_firmware ()
+{
+cd $tmp
+export FIRMWARE_INSTALL_DIR="/lib/firmware"
+
+# use apt proxy
+APT_PROXIES=$(apt-config shell \
+http_proxy Acquire::http::Proxy \
+https_proxy Acquire::https::Proxy \
+ftp_proxy Acquire::ftp::Proxy \
+)
+
+if [ -n "$APT_PROXIES" ]; then
+ eval export $APT_PROXIES
+fi
+
+wget --timeout=60 http://downloads.openwrt.org/sources/wl_apsta-3.130.20.0.o
+if [ $? -ne 0 ]; then
+ echo "Some problem occurred during the firmware download. Please check your internet connection."
+ exit 0
+ else
+ if [ -d /lib/firmware/b43legacy ]; then
+ echo "Deleting old extracted firmware..."
+ rm -rf /lib/firmware/b43legacy
+ fi
+fi
+b43-fwcutter -w "$FIRMWARE_INSTALL_DIR" wl_apsta-3.130.20.0.o
+rm -rf $tmp
+}
+
+# check environment
+if [ "$(stat -c %d/%i /)" != "$(stat -Lc %d/%i /proc/1/root 2>/dev/null)" ];
+ then
+ echo "A chroot environment has been detected."
+ echo "Remember this firmware needs kernel >= 2.6.25."
+ latest_firmware
+ exit 0
+ else
+ echo "No chroot environment found. Starting normal installation"
+fi
+
+# install firmware unconditional if the corresponding debconf value is true
+# this is usefull for live-systems or similar systems that should work on
+# changing hardware
+db_get b43-fwcutter/install-unconditional
+if [ "$RET" = "true" ] ; then
+ latest_firmware
+ exit 0
+fi
+
+# Fix for BCM4306 [14e4:4320] (rev 02)
+chip=`lspci -n | grep -o "14e4:4320 (rev 02)"` || true
+if [ "$chip" ] ; then
+ echo "Your card is BCM4306 [14e4:4320] (rev 02), using b43legacy firmware"
+ latest_firmware
+ exit 0
+fi
+
+# check chip
+supported=0
+pci=`lspci -n | grep -o "14e4:[1234567890abcdef]\+"` || true
+
+if [ -n "$pci" ]; then
+ for device in $pci; do
+ device_id=`echo $device | cut -d: -f2`
+ case $device_id in
+ 4301 | 4306 | 4320 | 4324 | 4325)
+ supported=1
+ break
+ ;;
+ esac
+ done
+fi
+
+if [ "$supported" = 0 ]; then
+ echo "No supported card found."
+ echo "Use b43 firmware. This is just for the b43legacy driver."
+ echo "Aborting."
+ exit 0
+fi
+
+latest_firmware
+
+#DEBHELPER#
--- /dev/null
+#!/bin/sh
+
+set -e
+
+if [ "$1" = purge ] || [ "$1" = remove ]; then
+
+ if [ -d /lib/firmware/b43legacy ]; then
+ echo "Deleting old extracted firmware..."
+ rm -rf /lib/firmware/b43legacy/*
+ fi
+fi
+
+#DEBHELPER#
+
+exit 0
--- /dev/null
+misc:Depends=
--- /dev/null
+Package: firmware-b43legacy-installer
+Source: b43-fwcutter
+Version: 1:018-2
+Architecture: all
+Maintainer: Daniel Echeverry <epsilon77@gmail.com>
+Installed-Size: 55
+Depends: b43-fwcutter (>= 1:018-2), wget
+Section: contrib/kernel
+Priority: optional
+Homepage: http://wireless.kernel.org/en/users/Drivers/b43
+Description: firmware installer for the b43legacy driver
+ This package downloads and installs the firmware needed by the b43legacy
+ kernel driver for some Broadcom 43xx wireless network cards.
+ .
+ Supported chipsets:
+ * BCM4301;
+ * BCM4306/2;
+ * BCM4306.
--- /dev/null
+43ccfbee02e8fddbb7a9dd9aeb942ec9 usr/share/doc/firmware-b43legacy-installer/NEWS.Debian.gz
+05fe361709af3bffa37842c77a43488d usr/share/doc/firmware-b43legacy-installer/changelog.Debian.gz
+a1d8d19009fd47687db0a6155dc37ebb usr/share/doc/firmware-b43legacy-installer/changelog.gz
+bb37220b033dfef8ead1060b7218185c usr/share/doc/firmware-b43legacy-installer/copyright
+001737f685a588a1304633563aec43c9 usr/share/lintian/overrides/firmware-b43legacy-installer
--- /dev/null
+#!/bin/sh
+
+set -e
+
+. /usr/share/debconf/confmodule
+
+tmp=`mktemp -q -d`
+
+latest_firmware ()
+{
+cd $tmp
+export FIRMWARE_INSTALL_DIR="/lib/firmware"
+
+# use apt proxy
+APT_PROXIES=$(apt-config shell \
+http_proxy Acquire::http::Proxy \
+https_proxy Acquire::https::Proxy \
+ftp_proxy Acquire::ftp::Proxy \
+)
+
+if [ -n "$APT_PROXIES" ]; then
+ eval export $APT_PROXIES
+fi
+
+wget --timeout=60 http://downloads.openwrt.org/sources/wl_apsta-3.130.20.0.o
+if [ $? -ne 0 ]; then
+ echo "Some problem occurred during the firmware download. Please check your internet connection."
+ exit 0
+ else
+ if [ -d /lib/firmware/b43legacy ]; then
+ echo "Deleting old extracted firmware..."
+ rm -rf /lib/firmware/b43legacy
+ fi
+fi
+b43-fwcutter -w "$FIRMWARE_INSTALL_DIR" wl_apsta-3.130.20.0.o
+rm -rf $tmp
+}
+
+# check environment
+if [ "$(stat -c %d/%i /)" != "$(stat -Lc %d/%i /proc/1/root 2>/dev/null)" ];
+ then
+ echo "A chroot environment has been detected."
+ echo "Remember this firmware needs kernel >= 2.6.25."
+ latest_firmware
+ exit 0
+ else
+ echo "No chroot environment found. Starting normal installation"
+fi
+
+# install firmware unconditional if the corresponding debconf value is true
+# this is usefull for live-systems or similar systems that should work on
+# changing hardware
+db_get b43-fwcutter/install-unconditional
+if [ "$RET" = "true" ] ; then
+ latest_firmware
+ exit 0
+fi
+
+# Fix for BCM4306 [14e4:4320] (rev 02)
+chip=`lspci -n | grep -o "14e4:4320 (rev 02)"` || true
+if [ "$chip" ] ; then
+ echo "Your card is BCM4306 [14e4:4320] (rev 02), using b43legacy firmware"
+ latest_firmware
+ exit 0
+fi
+
+# check chip
+supported=0
+pci=`lspci -n | grep -o "14e4:[1234567890abcdef]\+"` || true
+
+if [ -n "$pci" ]; then
+ for device in $pci; do
+ device_id=`echo $device | cut -d: -f2`
+ case $device_id in
+ 4301 | 4306 | 4320 | 4324 | 4325)
+ supported=1
+ break
+ ;;
+ esac
+ done
+fi
+
+if [ "$supported" = 0 ]; then
+ echo "No supported card found."
+ echo "Use b43 firmware. This is just for the b43legacy driver."
+ echo "Aborting."
+ exit 0
+fi
+
+latest_firmware
+
+
--- /dev/null
+#!/bin/sh
+
+set -e
+
+if [ "$1" = purge ] || [ "$1" = remove ]; then
+
+ if [ -d /lib/firmware/b43legacy ]; then
+ echo "Deleting old extracted firmware..."
+ rm -rf /lib/firmware/b43legacy/*
+ fi
+fi
+
+
+
+exit 0
--- /dev/null
+Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
+Upstream-Name: b43-fwcutter
+Source: http://linuxwireless.org/en/users/Drivers/b43
+
+Files: *
+Copyright: 2005-2011 Martin Langer <martin-langer@gmx.de>
+ 2005-2011 Michael Buesch <mbuesch@freenet.de>
+ 2005-2011 Alex Beregszaszi <alex@fsn.hu>
+License: BSD-2-Clause
+
+Files: debian/*
+Copyright: 2006 Rene Engelhard <rene@debian.org>
+ 2011 Fabrizio Regalli <fabreg@fabreg.it>
+ 2013 Daniel Echeverry <epsilon77@gmail.com>
+License: BSD-2-Clause
+
+License: BSD-2-Clause
+ Redistribution and use in source and binary forms, with or without
+ modification, are permitted provided that the following conditions
+ are met:
+ 1. Redistributions of source code must retain the above copyright
+ notice, this list of conditions and the following disclaimer.
+ 2. Redistributions in binary form must reproduce the above
+ copyright notice, this list of conditions and the following
+ disclaimer in the documentation and/or other materials provided
+ with the distribution.
+ .
+ THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESS OR IMPLIED
+ WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
+ OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
+ DISCLAIMED. IN NO EVENT SHALL THE CONTRIBUTORS BE LIABLE FOR ANY
+ DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+ DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
+ GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+ INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+ WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
+ OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
+ EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+Files: md5.c md5.h
+Copyright: 1993 Colin Plumb
+License: public-domain
+ This code implements the MD5 message-digest algorithm.
+ The algorithm is due to Ron Rivest. This code was
+ written by Colin Plumb in 1993, no copyright is claimed.
+ This code is in the public domain; do with it what you wish.
--- /dev/null
+# lintian, ignore this please! need to create this directory for the installation of the firmware
+firmware-b43legacy-installer: package-contains-empty-directory
--- /dev/null
+[type: gettext/rfc822deb] b43-fwcutter.templates
--- /dev/null
+# Czech PO debconf template translation of b43-fwcutter.
+# Copyright (C) 2013 Michal Simunek <michal.simunek@gmail.com>
+# This file is distributed under the same license as the b43-fwcutter package.
+# Michal Simunek <michal.simunek@gmail.com>, 2013.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: b43-fwcutter 1:017-2\n"
+"Report-Msgid-Bugs-To: b43-fwcutter@packages.debian.org\n"
+"POT-Creation-Date: 2013-06-06 07:14+0200\n"
+"PO-Revision-Date: 2013-06-07 12:31+0200\n"
+"Last-Translator: Michal Simunek <michal.simunek@gmail.com>\n"
+"Language-Team: Czech <debian-l10n-czech@lists.debian.org>\n"
+"Language: cs\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=utf-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#. Type: boolean
+#. Description
+#: ../b43-fwcutter.templates:2001
+msgid "Install b43 firmware even if no such device is present?"
+msgstr ""
+"Nainstalovat b43 firmware i v případě, že se v systému žádné takové zařízení "
+"nenachází?"
+
+#. Type: boolean
+#. Description
+#: ../b43-fwcutter.templates:2001
+msgid ""
+"The b43 packages are designed to handle firmware for Broadcom 43xx wireless "
+"network cards."
+msgstr ""
+"Balíčky b43 jsou určeny k obsluhování firmwaru pro bezdrátové síťové karty "
+"Broadcom 43xx."
+
+#. Type: boolean
+#. Description
+#: ../b43-fwcutter.templates:2001
+msgid ""
+"Please choose whether they should download and install firmware even if the "
+"corresponding hardware is not currently present on the system."
+msgstr ""
+"Zvolte si prosím, zda mají firmware stáhnout a nainstalovat i v případě, že "
+"se v systému příslušný hardware nyní nenachází."
+
+#. Type: boolean
+#. Description
+#: ../b43-fwcutter.templates:2001
+msgid ""
+"This might be useful if you plan to move this installation to different "
+"hardware or share the same installation across multiple systems."
+msgstr ""
+"To může být užitečné v případě, že tuto instalaci plánujete přemístit na "
+"jiný hardware, nebo stejnou instalaci sdílet mezi vícero systémy."
--- /dev/null
+# Danish translation b43-fwcutter.
+# Copyright (C) 2013 b43-fwcutter & nedenstående oversættere.
+# This file is distributed under the same license as the b43-fwcutter package.
+# Joe Hansen <joedalton2@yahoo.dk>, 2013.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: b43-fwcutter\n"
+"Report-Msgid-Bugs-To: \n"
+"POT-Creation-Date: 2013-06-25 07:12+0200\n"
+"PO-Revision-Date: 2013-07-09 05:26+0100\n"
+"Last-Translator: Joe Hansen <joedalton2@yahoo.dk>\n"
+"Language-Team: Danish <debian-l10n-danish@lists.debian.org>\n"
+"Language: da\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#. Type: boolean
+#. Description
+#: ../b43-fwcutter.templates:2001
+msgid "Install b43 firmware even if no such device is present?"
+msgstr "Installer b43-firmware selv hvis ingen sådan enhed er til stede?"
+
+#. Type: boolean
+#. Description
+#: ../b43-fwcutter.templates:2001
+msgid ""
+"The b43 packages are designed to handle firmware for Broadcom 43xx wireless "
+"network cards."
+msgstr ""
+"b43-pakkerne er designet til at håndtere firmware for Broadcom 43xx trådløse "
+"netværkskort."
+
+#. Type: boolean
+#. Description
+#: ../b43-fwcutter.templates:2001
+msgid ""
+"Please choose whether they should download and install firmware even if the "
+"corresponding hardware is not currently present on the system."
+msgstr ""
+"Vælg hvorvidt de skal hente og installere firmware selv hvis det tilsvarende "
+"udstyr ikke aktuelt er til stede på systemet."
+
+#. Type: boolean
+#. Description
+#: ../b43-fwcutter.templates:2001
+msgid ""
+"This might be useful if you plan to move this installation to different "
+"hardware or share the same installation across multiple systems."
+msgstr ""
+"Dette kan være nyttigt hvis du planlægger at flytte denne installation til forskelligt udstyr eller "
+"dele den samme installation over flere systemer."
+
--- /dev/null
+# German translation of the b43-fwcutter debconf template.
+# Copyright: 2006 Rene Engelhard, 2011 Fabrizio Regalli,2013 Daniel Echeverry.
+# This file is distributed under the same license as the b43-fwcutter package.
+# Translation (C) 2013 by Chris Leick <c.leick@vollbio.de>.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: b43-fwcutter 1:017-2\n"
+"Report-Msgid-Bugs-To: b43-fwcutter@packages.debian.org\n"
+"POT-Creation-Date: 2013-06-06 07:14+0200\n"
+"PO-Revision-Date: 2013-06-06 22:10+0100\n"
+"Last-Translator: Chris Leick <c.leick@vollbio.de>\n"
+"Language-Team: German <debian-l10n-german@lists.debian.org>\n"
+"Language: de\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#. Type: boolean
+#. Description
+#: ../b43-fwcutter.templates:2001
+msgid "Install b43 firmware even if no such device is present?"
+msgstr "B43-Firmware installieren, obwohl kein derartiges Gerät vorhanden ist?"
+
+#. Type: boolean
+#. Description
+#: ../b43-fwcutter.templates:2001
+msgid ""
+"The b43 packages are designed to handle firmware for Broadcom 43xx wireless "
+"network cards."
+msgstr ""
+"Die B43-Pakete wurden zur Handhabung der Firmware von drahtlosen "
+"Broadcom-43xx-Netzwerkkarten entworfen."
+
+#. Type: boolean
+#. Description
+#: ../b43-fwcutter.templates:2001
+msgid ""
+"Please choose whether they should download and install firmware even if the "
+"corresponding hardware is not currently present on the system."
+msgstr ""
+"Bitte wählen Sie, ob Sie die Firmware herunterladen und installieren "
+"möchten, obwohl die zugehörige Hardware derzeit nicht im System vorhanden "
+"ist."
+
+#. Type: boolean
+#. Description
+#: ../b43-fwcutter.templates:2001
+msgid ""
+"This might be useful if you plan to move this installation to different "
+"hardware or share the same installation across multiple systems."
+msgstr ""
+"Dies kann nützlich sein, falls Sie planen, die Installation auf "
+"unterschiedliche Hardware zu verschieben oder dieselbe Installation über "
+"mehrere Systeme hinweg gemeinsam zu benutzen."
--- /dev/null
+# Translation of b43-fwcutter to spanish
+# Copyright (C) YEAR THE PACKAGE'S COPYRIGHT HOLDER
+# This file is distributed under the same license as the PACKAGE package.
+# Daniel Echeverry <epsilon77@gmail.com>, 2013.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: b43-fwcutter\n"
+"Report-Msgid-Bugs-To: b43-fwcutter@packages.debian.org\n"
+"POT-Creation-Date: 2013-06-06 07:14+0200\n"
+"PO-Revision-Date: 2013-01-31 09:25-0500\n"
+"Last-Translator: Daniel Echeverry <epsilon77@gmail.com>\n"
+"Language-Team: LANGUAGE <LL@li.org>\n"
+"Language: \n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#. Type: boolean
+#. Description
+#: ../b43-fwcutter.templates:2001
+msgid "Install b43 firmware even if no such device is present?"
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../b43-fwcutter.templates:2001
+msgid ""
+"The b43 packages are designed to handle firmware for Broadcom 43xx wireless "
+"network cards."
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../b43-fwcutter.templates:2001
+msgid ""
+"Please choose whether they should download and install firmware even if the "
+"corresponding hardware is not currently present on the system."
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../b43-fwcutter.templates:2001
+#, fuzzy
+#| msgid ""
+#| "Should the installer package download and install firmware for hardware "
+#| "that is not currently present on the system. This is useful if you plan "
+#| "to move this installation to different hardware or share the same "
+#| "installation on different systems."
+msgid ""
+"This might be useful if you plan to move this installation to different "
+"hardware or share the same installation across multiple systems."
+msgstr ""
+"Usted puede descargar e instalar el firmware aun sin tener el hardware "
+"presenteesto es util, si usted planea mover esta instalacion a un hardware "
+"diferenteo compartir esta instalacion en diferentes sistemas."
+
+#~ msgid "Install firmware for hardware not present on this system?"
+#~ msgstr ""
+#~ "¿Desea instalar este firmware en este sistema aun sin tener el hardware "
+#~ "presente?"
--- /dev/null
+# Translation of b43-fwcutter debconf templates to French
+# Copyright (C) 2013, French l10n team <debian-l10n-french@lists.debian.org>
+# This file is distributed under the same license as the b43-fwcutter package.
+# Julien Patriarca <leatherface@debian.org>, 2013.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: b43-fwcutter\n"
+"Report-Msgid-Bugs-To: b43-fwcutter@packages.debian.org\n"
+"POT-Creation-Date: 2013-06-06 07:14+0200\n"
+"PO-Revision-Date: 2013-06-06 12:15+0100\n"
+"Last-Translator: Julien Patriarca <leatherface@debian.org>\n"
+"Language-Team: FRENCH <debian-l10n-french@lists.debian.org>\n"
+"Language: \n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"X-Generator: Poedit 1.5.4\n"
+
+#. Type: boolean
+#. Description
+#: ../b43-fwcutter.templates:2001
+msgid "Install b43 firmware even if no such device is present?"
+msgstr ""
+"Faut-il installer le micrologiciel b43 même si un tel périphérique est "
+"absent ?"
+
+#. Type: boolean
+#. Description
+#: ../b43-fwcutter.templates:2001
+msgid ""
+"The b43 packages are designed to handle firmware for Broadcom 43xx wireless "
+"network cards."
+msgstr ""
+"Les paquets b43 sont destinés à gérer le micrologiciel pour les cartes "
+"réseau sans-fil Broadcom 43xx."
+
+#. Type: boolean
+#. Description
+#: ../b43-fwcutter.templates:2001
+msgid ""
+"Please choose whether they should download and install firmware even if the "
+"corresponding hardware is not currently present on the system."
+msgstr ""
+"Veuillez indiquer s'ils doivent télécharger et installer le micrologiciel "
+"même si le périphérique correspondant n'est actuellement pas présent sur le "
+"système."
+
+#. Type: boolean
+#. Description
+#: ../b43-fwcutter.templates:2001
+msgid ""
+"This might be useful if you plan to move this installation to different "
+"hardware or share the same installation across multiple systems."
+msgstr ""
+"Cela pourrait être utile si vous prévoyez de déplacer cette installation sur "
+"du matériel différent ou de partager la même installation sur plusieurs "
+"systèmes."
--- /dev/null
+# Translation of b43-fwcutter debconf templates to Indonesian
+# Copyright (C) 2013 Debian Indonesia Translator <debian-l10n-indonesian@lists.debian.org>
+# This file is distributed under the same license as the b43-fwcutter package.
+# Mahyuddin Susanto <udienz@gmail.com>, 2013.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: b43-fwcutter\n"
+"Report-Msgid-Bugs-To: b43-fwcutter@packages.debian.org\n"
+"POT-Creation-Date: 2013-06-06 07:14+0200\n"
+"PO-Revision-Date: 2013-06-06 14:07+0700\n"
+"Last-Translator: Mahyuddin Susanto <udienz@gmail.com>\n"
+"Language-Team: Debian Indonesia Translator <debian-l10n-indonesian@lists."
+"debian.org>\n"
+"Language: \n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"X-Poedit-Language: Indonesian\n"
+"X-Poedit-Country: INDONESIA\n"
+
+#. Type: boolean
+#. Description
+#: ../b43-fwcutter.templates:2001
+msgid "Install b43 firmware even if no such device is present?"
+msgstr "Pasang firmware b43 meskipun tidak ada perangkat yang terpasang?"
+
+#. Type: boolean
+#. Description
+#: ../b43-fwcutter.templates:2001
+msgid ""
+"The b43 packages are designed to handle firmware for Broadcom 43xx wireless "
+"network cards."
+msgstr "Paket b43 di desain untuk menangani firmware untuk kartu jaringan"
+
+#. Type: boolean
+#. Description
+#: ../b43-fwcutter.templates:2001
+msgid ""
+"Please choose whether they should download and install firmware even if the "
+"corresponding hardware is not currently present on the system."
+msgstr "Silakan pilih antara akan tetap mengunduh dan memasang firmware"
+
+#. Type: boolean
+#. Description
+#: ../b43-fwcutter.templates:2001
+msgid ""
+"This might be useful if you plan to move this installation to different "
+"hardware or share the same installation across multiple systems."
+msgstr ""
+"Ini mungkin berguna jika anda berencana memindahkan instalasike perangkat "
+"keras berbeda atau berbagi pemasangan yang sama di"
--- /dev/null
+# Italian translation of b43-fwcutter debconf messages
+# Copyright (C) 2013, Beatrice Torracca
+# This file is distributed under the same license as the b43-fwcutter package.
+# Beatrice Torracca <beatricet@libero.it>, 2013.
+msgid ""
+msgstr ""
+"Project-Id-Version: b43-fwcutter\n"
+"Report-Msgid-Bugs-To: b43-fwcutter@packages.debian.org\n"
+"POT-Creation-Date: 2013-06-06 07:14+0200\n"
+"PO-Revision-Date: 2013-06-06 15:50+0200\n"
+"Last-Translator: Beatrice Torracca <beatricet@libero.it>\n"
+"Language-Team: Italian <debian-l10n-italian@lists.debian.org>\n"
+"Language: it\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=2; plural=(n != 1);\n"
+"X-Generator: Virtaal 0.7.1\n"
+
+#. Type: boolean
+#. Description
+#: ../b43-fwcutter.templates:2001
+msgid "Install b43 firmware even if no such device is present?"
+msgstr ""
+"Installare il firmware b43 anche se non è presente un tale dispositivo?"
+
+#. Type: boolean
+#. Description
+#: ../b43-fwcutter.templates:2001
+msgid ""
+"The b43 packages are designed to handle firmware for Broadcom 43xx wireless "
+"network cards."
+msgstr ""
+"I pacchetti b43 sono progettati per gestire il firmware per schede di rete "
+"wireless Broadcom 43xx."
+
+#. Type: boolean
+#. Description
+#: ../b43-fwcutter.templates:2001
+msgid ""
+"Please choose whether they should download and install firmware even if the "
+"corresponding hardware is not currently present on the system."
+msgstr ""
+"Scegliere se devono scaricare e installare il firmware anche se l'hardware "
+"corrispondente non è attualmente presente nel sistema."
+
+#. Type: boolean
+#. Description
+#: ../b43-fwcutter.templates:2001
+msgid ""
+"This might be useful if you plan to move this installation to different "
+"hardware or share the same installation across multiple systems."
+msgstr ""
+"Ciò può essere utile se si ha in progetto di spostare l'installazione su "
+"hardware diverso o di condividere la stessa installazione su più sistemi."
--- /dev/null
+# SOME DESCRIPTIVE TITLE.\r
+# Copyright (C) YEAR THE PACKAGE'S COPYRIGHT HOLDER\r
+# This file is distributed under the same license as the PACKAGE package.\r
+# victory <victory.deb@gmail.com>, 2013.\r
+# \r
+msgid ""
+msgstr ""
+"Project-Id-Version: b43-fwcutter\n"
+"Report-Msgid-Bugs-To: b43-fwcutter@packages.debian.org\n"
+"POT-Creation-Date: 2013-06-06 07:14+0200\n"
+"PO-Revision-Date: 2013-06-06 14:14+0900\n"
+"Last-Translator: victory <victory.deb@gmail.com>\n"
+"Language-Team: Japanese <debian-japanese@lists.debian.org>\n"
+"Language: ja\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#. Type: boolean
+#. Description
+#: ../b43-fwcutter.templates:2001
+msgid "Install b43 firmware even if no such device is present?"
+msgstr "当該デバイスが存在しなくても b43 ファームウェアインストールしますか?"
+
+#. Type: boolean
+#. Description
+#: ../b43-fwcutter.templates:2001
+msgid ""
+"The b43 packages are designed to handle firmware for Broadcom 43xx wireless "
+"network cards."
+msgstr ""
+"b43 パッケージは Broadcom 43xx 無線ネットワークカードのファームウェアを処理す"
+"るように設計されています。"
+
+#. Type: boolean
+#. Description
+#: ../b43-fwcutter.templates:2001
+msgid ""
+"Please choose whether they should download and install firmware even if the "
+"corresponding hardware is not currently present on the system."
+msgstr ""
+"対応するハードウェアが現在システム上に存在しなくてもファームウェアをダウン"
+"ロードしてインストールするか選択してください。"
+
+#. Type: boolean
+#. Description
+#: ../b43-fwcutter.templates:2001
+msgid ""
+"This might be useful if you plan to move this installation to different "
+"hardware or share the same installation across multiple systems."
+msgstr ""
+"このインストール状態を異なるハードウェアに移動する予定があったり、同一のイン"
+"ストール状態を複数のシステムにまたがって共有するような場合に有用かもしれませ"
+"ん。"
--- /dev/null
+# Translation of b43-fwcutter debconf templates to Polish.
+# Copyright (C) 2013
+# This file is distributed under the same license as the b43-fwcutter package.
+#
+# Michał Kułach <michal.kulach@gmail.com>, 2013.
+msgid ""
+msgstr ""
+"Project-Id-Version: b43-fwcutter\n"
+"Report-Msgid-Bugs-To: b43-fwcutter@packages.debian.org\n"
+"POT-Creation-Date: 2013-06-06 07:14+0200\n"
+"PO-Revision-Date: 2013-06-06 16:57+0200\n"
+"Last-Translator: Michał Kułach <michal.kulach@gmail.com>\n"
+"Language-Team: Polish <debian-l10n-polish@lists.debian.org>\n"
+"Language: pl\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=3; plural=(n==1 ? 0 : n%10>=2 && n%10<=4 && (n%100<10 "
+"|| n%100>=20) ? 1 : 2);\n"
+"X-Generator: Lokalize 1.4\n"
+
+#. Type: boolean
+#. Description
+#: ../b43-fwcutter.templates:2001
+msgid "Install b43 firmware even if no such device is present?"
+msgstr ""
+"Zainstalować oprogramowanie układowe b43 nawet gdy nie ma takiego urządzenia?"
+
+#. Type: boolean
+#. Description
+#: ../b43-fwcutter.templates:2001
+msgid ""
+"The b43 packages are designed to handle firmware for Broadcom 43xx wireless "
+"network cards."
+msgstr ""
+"Pakiet b43 jest przeznaczony do obsługi oprogramowania układowego (firmware) "
+"bezprzewodowych kart sieciowych Broadcom 43xx."
+
+#. Type: boolean
+#. Description
+#: ../b43-fwcutter.templates:2001
+msgid ""
+"Please choose whether they should download and install firmware even if the "
+"corresponding hardware is not currently present on the system."
+msgstr ""
+"Proszę zdecydować, czy powinien on pobrać i zainstalować oprogramowanie "
+"układowe nawet gdy odpowiedni sprzęt nie jest aktualnie obecny w systemie."
+
+#. Type: boolean
+#. Description
+#: ../b43-fwcutter.templates:2001
+msgid ""
+"This might be useful if you plan to move this installation to different "
+"hardware or share the same installation across multiple systems."
+msgstr ""
+"Może być to przydatne gdy chce się przenieść tę instalację na inny sprzęt "
+"lub współdzielić tę samą instalację na wielu systemach."
--- /dev/null
+# Portuguese translation messages for b43-fwcutter package.
+# Copyright (C) 2013 THE PACKAGE'S COPYRIGHT HOLDER
+# This file is distributed under the same license as the b43-fwcutter package.
+#
+# Pedro Ribeiro <p.m42.ribeiro@gmail.com>, 2013.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: b43-fwcutter\n"
+"Report-Msgid-Bugs-To: b43-fwcutter@packages.debian.org\n"
+"POT-Creation-Date: 2013-06-06 07:14+0200\n"
+"PO-Revision-Date: 2013-06-13 12:03+0100\n"
+"Last-Translator: Pedro Ribeiro <p.m42.ribeiro@gmail.com>\n"
+"Language-Team: Portuguese <traduz@debianpt.org>\n"
+"Language: pt\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#. Type: boolean
+#. Description
+#: ../b43-fwcutter.templates:2001
+msgid "Install b43 firmware even if no such device is present?"
+msgstr ""
+"Instalar o firmware b43 ainda que não haja nenhum dispositivo compatível?"
+
+#. Type: boolean
+#. Description
+#: ../b43-fwcutter.templates:2001
+msgid ""
+"The b43 packages are designed to handle firmware for Broadcom 43xx wireless "
+"network cards."
+msgstr ""
+"Os pacotes b43 foram desenhados para tratar do firmware para as placas de "
+"rede sem fios Broadcom 43xx."
+
+#. Type: boolean
+#. Description
+#: ../b43-fwcutter.templates:2001
+msgid ""
+"Please choose whether they should download and install firmware even if the "
+"corresponding hardware is not currently present on the system."
+msgstr ""
+"Escolha por favor se quer fazer o download e instalação do firmware ainda "
+"que o hardware correspondente não esteja actualmente instalado no sistema."
+
+#. Type: boolean
+#. Description
+#: ../b43-fwcutter.templates:2001
+msgid ""
+"This might be useful if you plan to move this installation to different "
+"hardware or share the same installation across multiple systems."
+msgstr ""
+"Isto pode ser útil se pretender mover esta instalação para hardware "
+"diferente ou partilhar a mesma instalação com diferentes sistemas."
--- /dev/null
+# Copyright (C) YEAR THE PACKAGE'S COPYRIGHT HOLDER
+# This file is distributed under the same license as the b43-fwcutter package.
+#
+# Yuri Kozlov <yuray@komyakino.ru>, 2013.
+msgid ""
+msgstr ""
+"Project-Id-Version: b43-fwcutter 1:017-2\n"
+"Report-Msgid-Bugs-To: b43-fwcutter@packages.debian.org\n"
+"POT-Creation-Date: 2013-06-06 07:14+0200\n"
+"PO-Revision-Date: 2013-06-10 21:09+0400\n"
+"Last-Translator: Yuri Kozlov <yuray@komyakino.ru>\n"
+"Language-Team: Russian <debian-l10n-russian@lists.debian.org>\n"
+"Language: ru\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=3; plural=(n%10==1 && n%100!=11 ? 0 : n%10>=2 && n"
+"%10<=4 && (n%100<10 || n%100>=20) ? 1 : 2);\n"
+"X-Generator: Lokalize 1.4\n"
+
+#. Type: boolean
+#. Description
+#: ../b43-fwcutter.templates:2001
+msgid "Install b43 firmware even if no such device is present?"
+msgstr "Устанавливать микропрограмму b43 даже, если устройство отсутствует?"
+
+#. Type: boolean
+#. Description
+#: ../b43-fwcutter.templates:2001
+msgid ""
+"The b43 packages are designed to handle firmware for Broadcom 43xx wireless "
+"network cards."
+msgstr ""
+"Пакеты b43 загружают микропрограмму для карт беспроводных сетей Broadcom "
+"43xx."
+
+#. Type: boolean
+#. Description
+#: ../b43-fwcutter.templates:2001
+msgid ""
+"Please choose whether they should download and install firmware even if the "
+"corresponding hardware is not currently present on the system."
+msgstr ""
+"Укажите, должны ли они скачивать и устанавливать микропрограмму даже, если "
+"соответствующее оборудование отсутствует в системе."
+
+#. Type: boolean
+#. Description
+#: ../b43-fwcutter.templates:2001
+msgid ""
+"This might be useful if you plan to move this installation to different "
+"hardware or share the same installation across multiple systems."
+msgstr ""
+"Это может быть полезно, если вы планируете переместить эту установку на "
+"другое оборудование или использовать её для установки на несколько систем."
--- /dev/null
+# Translation of b43-fwcutter debconf template to Swedish
+# Copyright (C) 2013 Martin Bagge <brother@bsnet.se>
+# This file is distributed under the same license as the b43-fwcutter package.
+#
+# Martin Bagge <brother@bsnet.se>, 2013
+msgid ""
+msgstr ""
+"Project-Id-Version: b43-fwcutter\n"
+"Report-Msgid-Bugs-To: b43-fwcutter@packages.debian.org\n"
+"POT-Creation-Date: 2013-06-06 07:14+0200\n"
+"PO-Revision-Date: 2013-06-18 11:35+0100\n"
+"Last-Translator: Martin Bagge / brother <brother@bsnet.se>\n"
+"Language-Team: Swedish <debian-l10n-swedish@lists.debian.org>\n"
+"Language: Swedish\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"X-Generator: Poedit 1.5.4\n"
+
+#. Type: boolean
+#. Description
+#: ../b43-fwcutter.templates:2001
+msgid "Install b43 firmware even if no such device is present?"
+msgstr ""
+"Ska den inbäddade mjukvaran för b43 installera även om inga sådana enheter "
+"kan hittas?"
+
+#. Type: boolean
+#. Description
+#: ../b43-fwcutter.templates:2001
+msgid ""
+"The b43 packages are designed to handle firmware for Broadcom 43xx wireless "
+"network cards."
+msgstr ""
+"b43-paketen är designade för att hantera inbäddad mjukvara för Broadcom 43xx-"
+"nätverkskort för trådlös kommunkation."
+
+#. Type: boolean
+#. Description
+#: ../b43-fwcutter.templates:2001
+msgid ""
+"Please choose whether they should download and install firmware even if the "
+"corresponding hardware is not currently present on the system."
+msgstr ""
+"Ange om dessa ska hämtas och installeras även om motsvarande hårdvara inte "
+"kan hittas på systemet för tillfället."
+
+#. Type: boolean
+#. Description
+#: ../b43-fwcutter.templates:2001
+msgid ""
+"This might be useful if you plan to move this installation to different "
+"hardware or share the same installation across multiple systems."
+msgstr ""
+"Detta kan vara praktiskt om du planerar att flytta installationen till annan "
+"hårdvara eller dela samma installation på flera system."
--- /dev/null
+# SOME DESCRIPTIVE TITLE.
+# Copyright (C) YEAR THE PACKAGE'S COPYRIGHT HOLDER
+# This file is distributed under the same license as the PACKAGE package.
+# FIRST AUTHOR <EMAIL@ADDRESS>, YEAR.
+#
+#, fuzzy
+msgid ""
+msgstr ""
+"Project-Id-Version: b43-fwcutter\n"
+"Report-Msgid-Bugs-To: b43-fwcutter@packages.debian.org\n"
+"POT-Creation-Date: 2013-06-06 07:14+0200\n"
+"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
+"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
+"Language-Team: LANGUAGE <LL@li.org>\n"
+"Language: \n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=CHARSET\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#. Type: boolean
+#. Description
+#: ../b43-fwcutter.templates:2001
+msgid "Install b43 firmware even if no such device is present?"
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../b43-fwcutter.templates:2001
+msgid ""
+"The b43 packages are designed to handle firmware for Broadcom 43xx wireless "
+"network cards."
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../b43-fwcutter.templates:2001
+msgid ""
+"Please choose whether they should download and install firmware even if the "
+"corresponding hardware is not currently present on the system."
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../b43-fwcutter.templates:2001
+msgid ""
+"This might be useful if you plan to move this installation to different "
+"hardware or share the same installation across multiple systems."
+msgstr ""
--- /dev/null
+#!/usr/bin/make -f
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
+INSTALL := install -o root -g root -m 755
+
+CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
+CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
+
+version=$(shell dpkg-parsechangelog | grep urgency | awk '{ print $$2; }'| \
+sed -e s/"("// -e s/")"// | cut -d"-" -f1)
+
+%:
+ dh $@
+
+override_dh_auto_build:
+ dh_auto_build -- CFLAGS="$(CFLAGS) $(CPPFLAGS) -std=c99 -fomit-frame-pointer -pedantic -D_BSD_SOURCE \
+ -DFWCUTTER_VERSION_=`echo $(version) | cut -d: -f2`"
+
+override_dh_auto_clean:
+ rm -f b43-fwcutter
+ rm -rf $(CURDIR)/debian/b43-fwcutter/usr/man
+
+override_dh_installchangelogs:
+ dh_installchangelogs $(CURDIR)/debian/b43-fwcutter.upstream-changelog
+
+override_dh_auto_install:
+ $(INSTALL) b43-fwcutter $(CURDIR)/debian/b43-fwcutter/usr/bin
--- /dev/null
+3.0 (quilt)
--- /dev/null
+version=3
+http://bues.ch/b43/fwcutter/b43-fwcutter-(.+).tar.bz2